# telegram.UserProfilePhotos

class telegram.UserProfilePhotos(total_count, photos, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represent a user’s profile pictures.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `total_count` and `photos` are equal.

  Parameters

    - total_count (`int`) – Total number of profile pictures the target user has.

    - photos (List[List[`telegram.PhotoSize`]]) – Requested profile pictures (in up to 4 sizes each).

  total_count

    Total number of profile pictures.

    Type

      `int`

  photos

    Requested profile pictures.

    Type

      List[List[`telegram.PhotoSize`]]

  classmethod de_json(data, bot)

    See `telegram.TelegramObject.de_json()`.

  to_dict()

    See `telegram.TelegramObject.to_dict()`.